PDFPCRC(5)

\$2 ⟨URL: \$1 ⟩\$3

NAME
pdfpcrc - pdfpc configuration file

DESCRIPTION

pdfpc(1) first reads its system-wide configuration file, followed by the user-specific one if it exists.

  Keybindings

The following commands are accepted:

bind <key> <action> [<arg>]
    Bind a key to an action, passing a specified argument for actions that require one

unbind <key>
    Unbind the given key

unbind_all
    Clear all the key bindings

mouse <button> <action>
    Bind a mouse button to an action

unmouse <button>
    Unbind a mouse button

unmouse_all
    Clear all the mouse bindings

Key names can be obtained with the help of the xev(1) utility. Note that names are case sensitive. Key combinations with modifiers can be specified in the form <mod>+<key>, where <mod> is one of S (for shift), C (for control) and A/M (for Alt/Meta).

A shorthand for specifying key combinations constituting shift and an alphabetic character is to simply give the uppercase version of the alphabetic character. For example, S+r and R are equivalent.

A list of all possible actions can be obtained via the -L command line option of pdfpc(1). Use the -B command line option to list the action bindings defined.

  Options

Some permanent changes can be configured via the config file. The syntax is:

option <option_name> <option_value>

The following option_name's are recognized:

black-on-end
    Add an additional black slide at the end of the presentation (bool, Default is false).

cache-clean-period
    Period (in units of s) to check for expired cached content (int, Default is 60).

cache-expiration
    Time (in units of s) to keep (pre)rendered slides in the cache (int, Default is 600). Set to a negative value to keep cached slides permanently.

cache-max-rtime
    Maximal time (in units of ms) it takes to render a slide for its cache to be protected from expiration (int, Default is 1000).

cache-min-rtime
    Minimal time (in units of ms) it takes to render a slide for it to be cached (int, Default is 10).

cache-max-usize
    Maximal size (in units of kB) of a slide image to store it uncompressed in the cache (int, Default is 256).

current-height
    Percentage of the height of the "main" presenter area to be used for the current slide (int, Default is 80).

current-size
    Percentage of the width of the presenter screen to be used for the current slide (int, Default is 60).

cursor-timeout
    Mouse inactivity timeout (in units of s) after which the cursor gets hidden (int, Default is 2).

disable-input-autodetection
    Do not automatically detect type (pen or eraser) of tablet input devices (bool, Default is false).

disable-input-pressure
    Ignore pressure sensitivity of tablet input devices (pen or eraser) even when it is supported by the hardware (bool, Default is false).

disable-scrolling
    Disable scrolling events on the presenter window (bool, Default is false).

disable-tooltips
    Disable tooltips for the toolbox (bool, Default is false).

enable-auto-srt-load
    Try loading video subtitle files automatically. For each video media, pdfpc will append ".srt" to the media URI and attempt to load a subtitle file (in the SRT format) from that location (bool, Default is false).

final-slide
    Show the final slide of an overlay group instead of the next slide. If the user reaches the last slide of the overlay group the next slide will be shown again.

move-on-mapped
    Dual-monitor full-screen window placement is a tricky business. Some window managers (e.g., FVWM) ignore the placement if made before the window is shown. This option enables a workaround (bool, Default is false).

next-height
    Percentage of the height of the "main" presenter area to be used for the next slide (int, Default is 70).

next-slide-first-overlay
    If the next slide is an overlay group, show the first slide of that group in the next slide view instead of the last slide of that group (bool, Default is false).

overview-min-size
    Minimum width for the overview miniatures, in pixels (int, Default is 150).

pointer-color
    Set the pointer color. Can be a literal color name or a #rrggbb representation (default is red).

pointer-opacity
    Set the pointer opacity in percent (int, default is 50).

pointer-size
    Set the initial pointer size, in pixels (int, default is 10).

prerender-delay
    Delay (in seconds) to launch the pre-rendering process after a slide change (int, default is 4).

prerender-slides
    Number of slides ahead of the current one to pre-render (int, default is 2). Set to 0 to disable the pre-rendering; set to a negative number to pre-render all at once.

presentation-interactive
    Let the presentation window react to user actions, similar to the presenter (bool, default is false). Note that if the presentation window is the only pdfpc GUI (i.e., if run with -sS), it will be interactive irrespective of this flag.

presentation-screen
    Screen to be used for the presentation (output name, see e.g. "xrandr --listmonitors").

presenter-screen
    Screen to be used for the presenter (output name).

rest-https
    Run the REST server in the TLS mode (bool, Default is false).

rest-port
    Port of the REST server (int, Default is 8088).

rest-passwd
    Password to authenticate against the REST server (string, if not set, a randomly generated one is used).

rest-static-root
    Root path to serve static HTML content. If begins with "/", it is interpreted as the absolute path; otherwise, relative to /usr/local/share/pdfpc (string, Default is "www").

spotlight-opacity
    Set opacity of the area outside of the spotlight, in percent (int, default is 50).

spotlight-size
    Set the initial spotlight size, in pixels (int, default is 100).

status-height
    Percentage of the height of the presenter screen left for the status area (timer, progress, icons), leaving (100 - status_height)% for the "main" area (int, Default is 10).

switch-screens
    Switch the presentation and the presenter screen (bool, Default is false).

time-of-day
    Display the current time instead of the timer

timer-pace-color
    Enable color hints of the timer, continuously indicating whether the presentation is progressing according to the expected pace (bool, Default is true). See the timer operation description in pdfpc(1).

toolbox
    Show the toolbox on startup (bool, Default is false).

toolbox-direction
    Set the toolbox direction. LtoR, RtoL, TtoB, or BtoT for the left-to-right, right-to-left, top-to-bottom, or botton-to-top, respectively (Default is LtoR).

toolbox-minimized
    Set the initial toolbox state minimized (bool, Default is false).

transition-fps
    Frames-per-second for slide transitions (int, Default is 25). Set to 0 to disable all transitions.

windowed-mode
    Set the initial windowed mode: none, presenter, presentation, or both (Default is presenter).

EXAMPLES

To change the drawing pen color using the numerical pad keys:
    bind S+KP_1 setPenColor red
    bind S+KP_2 setPenColor green
    bind S+KP_3 setPenColor blue

To always activate the black-on-end option, one could add the following to the config file
    option black-on-end true

FILES

/usr/local/etc/pdfpcrc
    System-wide configuration file

$XDG_CONFIG_HOME/pdfpc/pdfpcrc
    User configuration file (if $XDG_CONFIG_HOME is not set, $HOME/.config will be used).

SEE ALSO

pdfpc(1)